headless lms

List an event's files in order

GET /api/events/{eventId}/assets. List an event's files in order. Headless LMS Events API reference.

GET
/api/events/{eventId}/assets

Requires events:read.

Path Parameters

eventId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/events/string/assets"
[  {    "orgId": "string",    "id": "string",    "eventId": "string",    "assetId": "string",    "seq": -9007199254740991,    "displayName": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "filename": "string",    "contentType": "string",    "size": 0,    "url": "string"  }]
{  "error": "string",  "message": "string",  "requestId": "string",  "issues": [    {      "path": "string",      "message": "string"    }  ]}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}